Summary: PostScript pretty printers and Motif based GUI.
Name: mpdist
Version: 3.5.2
Release: 2
Source: http://java.sun.com/people/richb/RichApps/mp/mpdist-3.5.2.tar.gz
Patch0: mpdist-3.5.2.configure.ChJ.patch
Copyright: GPL, sort of...
Group: Utilities/Printing
URL: http://java.sun.com/people/richb
Buildroot: /tmp/mpdist

%changelog

* Mon May 22 2000 Christian Joensson <c.christian.joensson@telia.com>
  [mpdist-3.5.2-2]
  - Rebuild using ICS' 2.1.30 release of openmotif.
  - Remove check for libXm, enforce use.
  - Enable bsd printing style.

* Tue Apr 11 2000 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.5.2-1]
  - Update to use mpdist release 3.5.2.

* Fri Mar 24 2000 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.5.1-2]
  - Fixed a PROLOGUE bug in common/options.h

* Fri Mar 24 2000 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.5.1-1]
  - Update to use mpdist release 3.5.1.
  - No mptool at the moment :-(

* Mon Nov 22 1999 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.4.1-1]
  - Update to use mpdist release 3.4.1.

* Sat Sep 4 1999 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.4.0-1]
  - Update to use mpdist release 3.4.0. Added MIMEPATH in spec file make
    directive. Dumped core...

* Tue Aug 10 1999 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.3.5-3]
  - Recompile under Red Hat Linux 6.0 and use lesstif.

* Fri Jul 17 1998 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.3.5-2]
  - Correct missing /usr/lib/mp dir hier and symbolic links.

* Fri Jul 17 1998 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.3.5-1]
  - Create.

%description
The mp distribution now consists of two programs, mp and mptool.

The mp program will pretty print various files for you. It can be used
in conjunction with a mail reading utility for producing a pretty print
of your mail items. It can be used with a news reading tool to pretty
print news articles. Digests can also be printed, and this version can
pretty print ordinary ASCII files as well. Support for personal organiser
printing was added into the last released version. There are numerous 
configuration options to allow you to adjust the way mp generates it's
output.

The mptool program is a graphical frontend to mp. It makes it easy to
configure the printout of your documents without having to remember lots
of complicated command line arguments. It also supports drag and drop of
text from other Motif applications.

%prep
%setup

rm -rf		$RPM_BUILD_ROOT
mkdir -p	$RPM_BUILD_ROOT/usr/bin

%patch
%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --enable-mimep --enable-mptool --enable-newsp --enable-bsd-print

make

%install
make install prefix=$RPM_BUILD_ROOT/usr

%clean
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
   rm -rf $RPM_BUILD_ROOT
fi


%files
%attr(-,root,root) %doc NEWS README TODO mp.el mp.tcsh
%attr(-,root,root) /usr/bin/cutlines
%attr(-,root,root) /usr/bin/digestp
%attr(-,root,root) /usr/bin/ertf2latex
%attr(-,root,root) /usr/bin/fileofaxpp
%attr(-,root,root) /usr/bin/filep
%attr(-,root,root) /usr/bin/filofaxp
%attr(-,root,root) /usr/bin/franklinp
%attr(-,root,root) /usr/bin/iseps
%attr(-,root,root) /usr/bin/mailp
%attr(-,root,root) /usr/bin/mimep
%attr(-,root,root) /usr/bin/mimepps
%attr(-,root,root) /usr/bin/mimepurl
%attr(-,root,root) /usr/bin/mp*
%attr(-,root,root) /usr/bin/newsp
%attr(-,root,root) /usr/bin/proplanp
%attr(-,root,root) /usr/bin/text2latex
%attr(-,root,root) /usr/bin/timemanp
%attr(-,root,root) /usr/bin/timesysip
%attr(-,root,root) /usr/bin/timesyspp
%attr(-,root,root) /usr/man/man1/*
%attr(-,root,root) /usr/share/mpdist/*
